r67734 - in /trunk/w3c-linkchecker/debian: README.Debian config postinst templates

periapt-guest at users.alioth.debian.org periapt-guest at users.alioth.debian.org
Sun Jan 23 12:47:26 UTC 2011


Author: periapt-guest
Date: Sun Jan 23 12:47:17 2011
New Revision: 67734

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=67734
Log:
hostname changing works

Added:
    trunk/w3c-linkchecker/debian/README.Debian
    trunk/w3c-linkchecker/debian/config   (with props)
    trunk/w3c-linkchecker/debian/postinst   (with props)
    trunk/w3c-linkchecker/debian/templates

Added: trunk/w3c-linkchecker/debian/README.Debian
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/w3c-linkchecker/debian/README.Debian?rev=67734&op=file
==============================================================================
--- trunk/w3c-linkchecker/debian/README.Debian (added)
+++ trunk/w3c-linkchecker/debian/README.Debian Sun Jan 23 12:47:17 2011
@@ -1,0 +1,3 @@
+By default this service will be set up on localhost and will not
+be permitted on access websites set up on private IP addresses. To
+change these run 'dpkg-reconfigure w3c-linkchecker'.

Added: trunk/w3c-linkchecker/debian/config
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/w3c-linkchecker/debian/config?rev=67734&op=file
==============================================================================
--- trunk/w3c-linkchecker/debian/config (added)
+++ trunk/w3c-linkchecker/debian/config Sun Jan 23 12:47:17 2011
@@ -1,0 +1,11 @@
+#!/bin/sh -e
+
+set -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+db_input low w3c-linkchecker/hostname || true
+db_input low w3c-linkchecker/private_ips || true
+db_go
+

Propchange: trunk/w3c-linkchecker/debian/config
------------------------------------------------------------------------------
    svn:executable = *

Added: trunk/w3c-linkchecker/debian/postinst
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/w3c-linkchecker/debian/postinst?rev=67734&op=file
==============================================================================
--- trunk/w3c-linkchecker/debian/postinst (added)
+++ trunk/w3c-linkchecker/debian/postinst Sun Jan 23 12:47:17 2011
@@ -1,0 +1,57 @@
+#!/bin/sh
+# postinst script for w3c-linkchecker
+#
+# see: dh_installdeb(1)
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+
+        CFG_FILE=/etc/w3c/checklink.conf
+
+        db_get w3c-linkchecker/hostname
+        echo hostname, $RET
+        if [ "$RET" ]
+        then
+            sed -i -e "s|^Doc_URI = http://[a-z0-9.]\+/|Doc_URI = http://$RET/|" $CFG_FILE
+        fi
+
+        db_get w3c-linkchecker/private_ips
+        echo ips, $RET
+        if [ "$RET" ]
+        then
+            sed -i -e "s|^(# )?Allow_Private_IPs = [01]$|Allow_Private_IPs = $RET|" $CFG_FILE
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Propchange: trunk/w3c-linkchecker/debian/postinst
------------------------------------------------------------------------------
    svn:executable = *

Added: trunk/w3c-linkchecker/debian/templates
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/w3c-linkchecker/debian/templates?rev=67734&op=file
==============================================================================
--- trunk/w3c-linkchecker/debian/templates (added)
+++ trunk/w3c-linkchecker/debian/templates Sun Jan 23 12:47:17 2011
@@ -1,0 +1,14 @@
+Template: w3c-linkchecker/hostname
+Type: string
+Default: localhost
+Description: Host name for W3C LinkChecker service
+ By default this website will be set up to assume it will run on localhost.
+ If you need to access the installed service from other machines, this should
+ be changed to the correct fully qualified domain name.
+
+Template: w3c-linkchecker/private_ips
+Type: boolean
+Default: false
+Description: Allow private IPs
+ By default the upstream distribution only allows validates websites with
+ public IP addresses. This value can be set to true to relax this restriction.




More information about the Pkg-perl-cvs-commits mailing list